unit StringRes;

{************************************************************************
*                                                                       *
*                     Resource Strings Support Unit                     *
*                Copyright (C) 1993-2000, John Zaitseff                 *
*                                                                       *
************************************************************************}

{ Author:    John Zaitseff <J.Zaitseff@zap.org.au>
  Date:      1st April, 2000.
  Version:   2.1

  This unit contains resource string definitions for the Base Calculator
  application.  Separating resource strings in this way allows a resource
  DLL to be easily created.

  Note that Borland Delphi 4 or later is required to compile this unit.

  This file is supplied as part of an application under the GNU General
  Public License.  Hence this file also falls under the same license.
}


{$IFNDEF WIN32}
Error: 'Compile under Borland Delphi for Win32 only'
{$ENDIF}


interface


resourcestring
  { Strings used by Calc.pas }
  SParenLevelRange   = '%d is not in the range 0..%d for parentheses level';
  SCalcStackOverflow = 'The internal calculator stack overflowed';

  { Strings used by BMFonts.pas }
  SFontNumRange      = '%d is not in the range 1..%d for font numbers';


const
  { URL strings used by Base Calculator.  These should NOT be localised }
  HomePageURL : string = 'http://www.zap.org.au/software/basecalc/';
  EMailURL    : string = 'mailto:J.Zaitseff@zap.org.au';


implementation

end.

